Skip to main content
GET
/
api
/
v2
/
applications
/
{applicationKey}
/
versions
Get application versions by application key
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "items": [
    {
      "autoAdded": true,
      "key": "2",
      "name": "01.02.03",
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      },
      "_links": {},
      "_version": 123,
      "creationDate": "1654104600000",
      "supported": true
    }
  ],
  "totalCount": 1
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

applicationKey
string<string>
required

The application key

Query Parameters

filter
string<string>

Accepts filter by key, name, supported, and autoAdded. To learn more about the filter syntax, read Filtering applications and application versions.

limit
integer<int64>

The number of versions to return. Defaults to 50.

offset
integer<int64>

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

sort
string<string>

Accepts sorting order and fields. Fields can be comma separated. Possible fields are creationDate, name. Examples: sort=name sort by names ascending, sort=-name,creationDate sort by names descending and creationDate ascending.

Response

Application versions response

The location and content type of related resources

items
object[]

A list of the versions for this application

totalCount
integer

The number of versions for this application

Example:

1